package com.ruoyi.system.domain.houseInfo;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 物业费管理对象 property_fee
 * 
 * @author boman
 * @date 2025-03-03
 */
public class PropertyFee extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 物业费信息主键 */
    private Long propertyId;

    /** 房屋信息主键id */
    @Excel(name = "房屋信息主键id")
    private Long houseId;

    /** 权利人姓名 */
    @Excel(name = "权利人姓名")
    private String ownerName;

    /** 房屋坐落位置 */
    @Excel(name = "房屋坐落位置")
    private String location;

    /** 房屋面积，单位为平方米 */
    @Excel(name = "房屋面积，单位为平方米")
    private BigDecimal area;

    /** 不动产单元号，唯一标识不动产单元 */
    @Excel(name = "不动产单元号，唯一标识不动产单元")
    private String propertyUnitNumber;

    /** 房屋的详细门牌号 */
    @Excel(name = "房屋的详细门牌号")
    private String detailedAddress;

    /** 是否有车位，Y表示有，N表示无 */
    @Excel(name = "是否有车位，Y表示有，N表示无")
    private String hasParkingSpace;

    /** 车位编号 */
    @Excel(name = "车位编号")
    private String parkingNumber;

    /** 房屋所在小区名称 */
    @Excel(name = "房屋所在小区名称")
    private String communityName;

    /** 物业费缴费年份 */
    @Excel(name = "物业费缴费年份")
    private String year;

    /** 业主缴费时间 */
    @Excel(name = "业主缴费时间")
    private String time;

    /** 应缴物业费用 */
    @Excel(name = "应缴物业费用")
    private BigDecimal tenementExpense;

    /** 应缴车位费用 */
    @Excel(name = "应缴车位费用")
    private BigDecimal parkingExpense;

    /** 应缴能耗费用 */
    @Excel(name = "应缴能耗费用")
    private BigDecimal energyExpense;

    /** 应缴总费用 */
    @Excel(name = "应缴总费用")
    private BigDecimal totalExpense;

    /** 是否缴费，Y表示有，N表示无 */
    @Excel(name = "是否缴费，Y表示有，N表示无")
    private String isExpense;

    public void setPropertyId(Long propertyId) 
    {
        this.propertyId = propertyId;
    }

    public Long getPropertyId() 
    {
        return propertyId;
    }
    public void setHouseId(Long houseId) 
    {
        this.houseId = houseId;
    }

    public Long getHouseId() 
    {
        return houseId;
    }
    public void setOwnerName(String ownerName) 
    {
        this.ownerName = ownerName;
    }

    public String getOwnerName() 
    {
        return ownerName;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setArea(BigDecimal area) 
    {
        this.area = area;
    }

    public BigDecimal getArea() 
    {
        return area;
    }
    public void setPropertyUnitNumber(String propertyUnitNumber) 
    {
        this.propertyUnitNumber = propertyUnitNumber;
    }

    public String getPropertyUnitNumber() 
    {
        return propertyUnitNumber;
    }
    public void setDetailedAddress(String detailedAddress) 
    {
        this.detailedAddress = detailedAddress;
    }

    public String getDetailedAddress() 
    {
        return detailedAddress;
    }
    public void setHasParkingSpace(String hasParkingSpace) 
    {
        this.hasParkingSpace = hasParkingSpace;
    }

    public String getHasParkingSpace() 
    {
        return hasParkingSpace;
    }
    public void setParkingNumber(String parkingNumber) 
    {
        this.parkingNumber = parkingNumber;
    }

    public String getParkingNumber() 
    {
        return parkingNumber;
    }
    public void setCommunityName(String communityName) 
    {
        this.communityName = communityName;
    }

    public String getCommunityName() 
    {
        return communityName;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setTime(String time) 
    {
        this.time = time;
    }

    public String getTime() 
    {
        return time;
    }
    public void setTenementExpense(BigDecimal tenementExpense) 
    {
        this.tenementExpense = tenementExpense;
    }

    public BigDecimal getTenementExpense() 
    {
        return tenementExpense;
    }
    public void setParkingExpense(BigDecimal parkingExpense) 
    {
        this.parkingExpense = parkingExpense;
    }

    public BigDecimal getParkingExpense() 
    {
        return parkingExpense;
    }
    public void setEnergyExpense(BigDecimal energyExpense) 
    {
        this.energyExpense = energyExpense;
    }

    public BigDecimal getEnergyExpense() 
    {
        return energyExpense;
    }
    public void setTotalExpense(BigDecimal totalExpense) 
    {
        this.totalExpense = totalExpense;
    }

    public BigDecimal getTotalExpense() 
    {
        return totalExpense;
    }
    public void setIsExpense(String isExpense) 
    {
        this.isExpense = isExpense;
    }

    public String getIsExpense() 
    {
        return isExpense;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("propertyId", getPropertyId())
            .append("houseId", getHouseId())
            .append("ownerName", getOwnerName())
            .append("location", getLocation())
            .append("area", getArea())
            .append("propertyUnitNumber", getPropertyUnitNumber())
            .append("detailedAddress", getDetailedAddress())
            .append("hasParkingSpace", getHasParkingSpace())
            .append("parkingNumber", getParkingNumber())
            .append("communityName", getCommunityName())
            .append("year", getYear())
            .append("time", getTime())
            .append("tenementExpense", getTenementExpense())
            .append("parkingExpense", getParkingExpense())
            .append("energyExpense", getEnergyExpense())
            .append("totalExpense", getTotalExpense())
            .append("isExpense", getIsExpense())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
